Bug 1967591 - The ManagementCPUsOverride admission plugin should not mutate containers with the limit
Summary: The ManagementCPUsOverride admission plugin should not mutate containers with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.8
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.8.0
Assignee: Artyom
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-03 12:50 UTC by Artyom
Modified: 2021-07-27 23:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:11:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 785 0 None open Bug 1967591: UPSTREAM: <carry>: do not mutate pods when it has a container with both CPU request and limit 2021-06-04 13:19:18 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:42 UTC

Description Artyom 2021-06-03 12:50:47 UTC
Description of problem:
During the mutation of container with CPU limit we can finish with the container that looks:
    limits:
        cpu: 500m
        management.workload.openshift.io/cores: "20"
        memory: 256Mi
      requests:
        cpu: 500m
        management.workload.openshift.io/cores: "20"
        memory: 32Mi

What happens:
1. The container has a limit and request, but it not guaranteed pod so the container mutated by our plugin.
2. The plugin removes the CPU request and add our management resource request
3. The k8s defaulter restore CPU request to be equal to the CPU limit

Version-Release number of selected component (if applicable):
master

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
For 4.8 we should just avoid mutating containers with both CPU request and limit


Additional info:

Comment 5 errata-xmlrpc 2021-07-27 23:11:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.